"""Nuke internal menu.py to add the ui elements and initialize the shelves."""

# Import third-party modules
import nuke

# Import local modules
from smartShelves import helper
from smartShelves import osl as smartshelves


def create_menu():
    """Create smartShelves menu containing all commands."""
    menu = nuke.menu("Nuke").addMenu(
        "cragl/smartShelves", icon=helper.load_icons()["icon_logo"])
    menu.addCommand(
        'open smartShelves', smartshelves.show_smart_shelves_window, 'Alt+Q')
    menu.addCommand(
        'add selected node to customShelf',
        ("from smartShelves import osl; "
         "osl.show_node_to_customshelf_panel(dag_selection=True)"),
        "Alt+Y"
    )

    menu.addSeparator()

    menu.addCommand("&about", smartshelves.show_about_window)
    nuke.menu("Properties").addCommand(
        "add to customShelf", smartshelves.show_node_to_customshelf_panel)


create_menu()
smartshelves.init()
